package com.sw.mes.yb.mcs.event;

import com.sw.mes.yb.mcs.dto.OrderConfigDto;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

import java.util.List;



/**
 * 订单水位信息下发事件
 *
 * @Author: GaoXinJian
 * @Date: 2022-02-07 18:14
 */
@Getter
public class OrderConfigEvent extends ApplicationEvent {
    List<OrderConfigDto> orderConfigDtoList;
    public OrderConfigEvent(Object source,List<OrderConfigDto> orderConfigDtoList) {
        super(source);
        if (orderConfigDtoList==null){
            throw new IllegalArgumentException("null orderConfigDtoList");
        }
        this.orderConfigDtoList=orderConfigDtoList;
    }
}
